set terminal pdf enhanced color size 10cm,10cm
set output "test.pdf"

set samples 20, 20
set isosamples 20, 20
set hidden3d offset 1 trianglepattern 3 undefined 1 altdiagonal bentover
set title "Hidden line removal of explicit surfaces" 
set xrange [ -3.00000 : 3.00000 ] noreverse nowriteback
set yrange [ -2.00000 : 2.00000 ] noreverse nowriteback
splot 1 / (x*x + y*y + 1) lw 3

set terminal png transparent interlace truecolor giant enhanced size 1000,1000 nocrop
set output "test.png"

set samples 20, 20
set isosamples 20, 20
set hidden3d offset 1 trianglepattern 3 undefined 1 altdiagonal bentover
set title "Hidden line removal of explicit surfaces" 
set xrange [ -3.00000 : 3.00000 ] noreverse nowriteback
set yrange [ -2.00000 : 2.00000 ] noreverse nowriteback
splot 1 / (x*x + y*y + 1) lw 3

set terminal png notransparent interlace truecolor giant enhanced size 1000,1000 nocrop xFFFFFF
set output "test_notransparent.png"

set samples 20, 20
set isosamples 20, 20
set hidden3d offset 1 trianglepattern 3 undefined 1 altdiagonal bentover
set title "Hidden line removal of explicit surfaces"
set xrange [ -3.00000 : 3.00000 ] noreverse nowriteback
set yrange [ -2.00000 : 2.00000 ] noreverse nowriteback
splot 1 / (x*x + y*y + 1) lw 3
